For the complete documentation index, see llms.txt. This page is also available as Markdown.

Media

get
Authorizations
AuthorizationstringRequired
Query parameters
titlestringOptional

Substring of the media title you want to search for.

min_sizeintegerOptional

Minimum size of the media in bytes.

max_sizeintegerOptional

Maximum size of the media in bytes.

start_datestring · dateOptional

Start of the creation date (inclusive). Format: YYYY-MM-DD.

end_datestring · dateOptional

End of the creation date (inclusive). Format: YYYY-MM-DD.

last_viewed_start_datestring · dateOptional

Start of the last viewed date (inclusive). Format: YYYY-MM-DD.

last_viewed_end_datestring · dateOptional

End of the last viewed date (inclusive). Format: YYYY-MM-DD.

last_viewed_by_student_start_datestring · dateOptional

Start of the last viewed by student date (inclusive). Format: YYYY-MM-DD.

last_viewed_by_student_end_datestring · dateOptional

End of the last viewed by student date (inclusive). Format: YYYY-MM-DD.

ownerstring · emailOptional

Email address of the owner of the media.

tagstringOptional

The full name of the tag, you want to list media objects for.

sourcestring · enumOptional

The source of the media you want to list media objects for.

Possible values:
pageintegerOptional

The page to retrieve. Default: 1.

Default: 1
per_pageinteger · max: 50Optional

The number of results per page. Default: 20, Max: 50.

Default: 20
Responses
200

The list of media objects that matched the given query.

application/json
get/media/search

Get a media by its id

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

The media object that was requested.

application/json
get/media/{media_id}

Deletes the specified media object and all related perspectives.

delete
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

The media object that was deleted.

application/json
delete/media/{media_id}

Archives the specified media object and all related perspectives.

post
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

The media object that was archived.

application/json
post/media/{media_id}/archive

Get a list of courses which contains the media

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

The list of courses that were requested.

application/json
get/media/{media_id}/courses

Adds a Media to a Course Collection for the given course_id. Returns the URL to LTI-launch the embedded media.

post
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Body

An object containing the necessary information for embedding the media

course_idintegerRequired

Id of the course to embed the media in.

embed_typestringRequired

The type of the embed. Studio uses "embed" to create embedding with media tabs and "bare_embed" to create one with only the media player.

downloadablebooleanOptional

A flag that controlls if the embedded media should be downloadable or not.

Responses
200

The URL to LTI-launch the embedded media. Please note that the URL in the result will work only if it is called with the proper LTI params.

application/json
embed_urlstringOptional

The URL to LTI-launch the embedded media.

post/media/{media_id}/create_embed

Download best or specified version of a media

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Query parameters
qualitystring · enumOptional

The quality the user wants to download

Possible values:
Responses
302

Redirects to the Notorious URL from where the media can be downloaded. The URL is only valid for 24 hours.

No content

get/media/{media_id}/download

No content

Get users and groups the media is shared with directly

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

List of users and groups extended with permission type.

application/json
get/media/{media_id}/permissions

Add permissions to a media

post
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Body
Responses
200

Permissions were added, the updated list of permissions is returned.

application/json
post/media/{media_id}/permissions

Get perspectives belonging to a media

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

List of perspectives extended with collection.

application/json
get/media/{media_id}/perspectives

Get a media's sources by its id

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Responses
200

The media sources that were requested.

application/json
get/media/{media_id}/sources

Unarchives the specified media object and all related perspectives.

post
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Query parameters
collection_idinteger · int64Optional

Move the media to this collection after unarchiving.

Responses
200

The media object that was archived.

application/json
post/media/{media_id}/unarchive

Get a list of users, who have access to the media

get
Authorizations
AuthorizationstringRequired
Path parameters
media_idinteger · int64Required

The ID of the media.

Query parameters
min_permissionstring · enumOptional

Filter users by a minimum permission level. If provided, only users with this permission or higher will be returned. The permissions are hierarchical: 'edit' includes 'view', and 'view' includes 'access'.

Default: accessPossible values:
Responses
200

The users who have access to the media.

application/json
get/media/{media_id}/users

Last updated

Was this helpful?